Index: code/trunk/src/modules/notifications/dispatchers/CMakeLists.txt
===================================================================
--- code/trunk/src/modules/notifications/dispatchers/CMakeLists.txt	(revision 7193)
+++ code/trunk/src/modules/notifications/dispatchers/CMakeLists.txt	(revision 7210)
@@ -1,3 +1,4 @@
 ADD_SOURCE_FILES(NOTIFICATIONS_SRC_FILES
   CommandNotification.cc
+  SimpleNotification.cc
 )
Index: code/trunk/src/modules/notifications/dispatchers/CommandNotification.h
===================================================================
--- code/trunk/src/modules/notifications/dispatchers/CommandNotification.h	(revision 7193)
+++ code/trunk/src/modules/notifications/dispatchers/CommandNotification.h	(revision 7210)
@@ -56,5 +56,5 @@
             virtual ~CommandNotification(); //!< Destructor.
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a NotificationDispatcher object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a CommandNotification object through XML.
 
             /**
Index: code/trunk/src/modules/notifications/dispatchers/SimpleNotification.cc
===================================================================
--- code/trunk/src/modules/notifications/dispatchers/SimpleNotification.cc	(revision 7210)
+++ code/trunk/src/modules/notifications/dispatchers/SimpleNotification.cc	(revision 7210)
@@ -0,0 +1,69 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Damian 'Mozork' Frick
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#include "SimpleNotification.h"
+
+#include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
+
+namespace orxonox {
+
+    CreateFactory(SimpleNotification);
+
+    /**
+    @brief
+        Default Constructor. Registers the object and initializes variables.
+    */
+    SimpleNotification::SimpleNotification(BaseObject* creator) : NotificationDispatcher(creator)
+    {
+        RegisterObject(SimpleNotification);
+
+        this->setSender("simpleNotification");
+    }
+
+    /**
+    @brief
+        Destructor.
+    */
+    SimpleNotification::~SimpleNotification()
+    {
+
+    }
+
+    /**
+    @brief
+        Method for creating a SimpleNotification object through XML.
+    */
+    void SimpleNotification::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(SimpleNotification, XMLPort, xmlelement, mode);
+
+        XMLPortParam(SimpleNotification, "message", setMessage, getMessage, xmlelement, mode);
+    }
+
+}
Index: code/trunk/src/modules/notifications/dispatchers/SimpleNotification.h
===================================================================
--- code/trunk/src/modules/notifications/dispatchers/SimpleNotification.h	(revision 7210)
+++ code/trunk/src/modules/notifications/dispatchers/SimpleNotification.h	(revision 7210)
@@ -0,0 +1,81 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Damian 'Mozork' Frick
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#ifndef _SimpleNotification_H__
+#define _SimpleNotification_H__
+
+#include "notifications/NotificationsPrereqs.h"
+
+#include "notifications/NotificationDispatcher.h"
+#include <string>
+
+namespace orxonox {
+
+    /**
+    @brief
+        The SimpleNotification class enables the sending of (in XML) predefined Notifications upon some kind of triggering event.
+    @author
+        Damian 'Mozork' Frick
+    */
+    class _NotificationsExport SimpleNotification : public NotificationDispatcher
+    {
+        public:
+            SimpleNotification(BaseObject* creator); //!< Default Constructor.
+            virtual ~SimpleNotification(); //!< Destructor.
+
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a SimpleNotification object through XML.
+
+            /**
+            @brief Get the message, that is displayed.
+            @return Returns the message, that is displayed.
+            */
+            const std::string& getMessage(void)
+                { return this->message_; }
+
+        protected:
+            /**
+            @brief Creates the notification message that should be sent upon the SimpleNotification triggering.
+            @return Returns the notification message.
+            */
+            virtual const std::string& createNotificationMessage(void)
+                { return this->message_; }
+
+        private:
+            std::string message_; //!< The message that is displayed.
+
+            /**
+            @brief Sets the message that is to be displayed.
+            @param message The message to be displayed.
+            */
+            void setMessage(const std::string& message)
+                { this->message_ = message; }
+    };
+
+}
+
+#endif // _SimpleNotification_H__
